Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorrschnekenbu2010-12-22 15:12:32 +0000
committerrschnekenbu2010-12-22 15:12:32 +0000
commita2e12392e7a5e1e4e1f2120bf5bef4327cac44e3 (patch)
tree55645a8a65f4ca834bce8390caad23b1f716b942 /features
parent85a89a80cd5c96bb0f2dda6fd9645e3d6793525c (diff)
downloadorg.eclipse.papyrus-a2e12392e7a5e1e4e1f2120bf5bef4327cac44e3.tar.gz
org.eclipse.papyrus-a2e12392e7a5e1e4e1f2120bf5bef4327cac44e3.tar.xz
org.eclipse.papyrus-a2e12392e7a5e1e4e1f2120bf5bef4327cac44e3.zip
ASSIGNED - bug 333097: [Releng] Remove dependencies from feature.xml
https://bugs.eclipse.org/bugs/show_bug.cgi?id=333097
Diffstat (limited to 'features')
-rw-r--r--features/org.eclipse.papyrus.developer-feature/feature.xml16
-rw-r--r--features/org.eclipse.papyrus.diagram.activity-feature/feature.xml37
-rw-r--r--features/org.eclipse.papyrus.diagram.blockdefinition-feature/feature.xml14
-rw-r--r--features/org.eclipse.papyrus.diagram.clazz-feature/feature.xml38
-rw-r--r--features/org.eclipse.papyrus.diagram.communication-feature/feature.xml41
-rw-r--r--features/org.eclipse.papyrus.diagram.composite-feature/feature.xml50
-rw-r--r--features/org.eclipse.papyrus.diagram.internalblock-feature/feature.xml13
-rw-r--r--features/org.eclipse.papyrus.diagram.menu-feature/feature.xml15
-rw-r--r--features/org.eclipse.papyrus.diagram.parametric-feature/feature.xml44
-rw-r--r--features/org.eclipse.papyrus.diagram.profile-feature/feature.xml39
-rw-r--r--features/org.eclipse.papyrus.diagram.sequence-feature/feature.xml36
-rw-r--r--features/org.eclipse.papyrus.diagram.statemachine-feature/feature.xml35
-rw-r--r--features/org.eclipse.papyrus.diagram.usecase-feature/feature.xml50
-rw-r--r--features/org.eclipse.papyrus.layouttool-feature/feature.xml10
-rw-r--r--features/org.eclipse.papyrus.profiletool-feature/feature.xml12
-rw-r--r--features/org.eclipse.papyrus.sysml-feature/feature.xml7
-rw-r--r--features/org.eclipse.papyrus.uml-feature/feature.xml51
-rw-r--r--features/org.eclipse.papyrus.uml.diagram.pkg-feature/feature.xml11
18 files changed, 14 insertions, 505 deletions
diff --git a/features/org.eclipse.papyrus.developer-feature/feature.xml b/features/org.eclipse.papyrus.developer-feature/feature.xml
index ad70cd3987e..5fece1d57a2 100644
--- a/features/org.eclipse.papyrus.developer-feature/feature.xml
+++ b/features/org.eclipse.papyrus.developer-feature/feature.xml
@@ -24,22 +24,6 @@ This feature contains the specialized generator used by Papyrus
<discovery label="Developer Wiki" url="http://wiki.eclipse.org/Papyrus_Developer_Guide"/>
</url>
- <requires>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.gmf.codegen" version="2.1.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.codegen.ui" version="1.1.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.m2m.qvt.oml" version="2.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui" version="3.5.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.uml2.uml" version="3.0.1" match="greaterOrEqual"/>
- <import plugin="org.eclipse.uml2.uml.edit" version="3.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.jface.text"/>
- <import plugin="org.eclipse.jdt.core"/>
- <import plugin="org.eclipse.jdt.ui"/>
- <import plugin="org.eclipse.pde.core"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.def"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.activity-feature/feature.xml b/features/org.eclipse.papyrus.diagram.activity-feature/feature.xml
index 621c93ce27d..29abec166b0 100644
--- a/features/org.eclipse.papyrus.diagram.activity-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.activity-feature/feature.xml
@@ -28,43 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.preferences"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.draw2d"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.emf.validation"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.emf.validation.ocl"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.activity"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.blockdefinition-feature/feature.xml b/features/org.eclipse.papyrus.diagram.blockdefinition-feature/feature.xml
index 4d88d85f0c5..f19749ef927 100644
--- a/features/org.eclipse.papyrus.diagram.blockdefinition-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.blockdefinition-feature/feature.xml
@@ -28,20 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.clazz" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.papyrus.sysml" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.common.ui" version="2.5.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers" version="1.3.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.expressions" version="3.4.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.preferences" version="0.7.0" match="greaterOrEqual"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.sysml.diagram.blockdefinition"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.clazz-feature/feature.xml b/features/org.eclipse.papyrus.diagram.clazz-feature/feature.xml
index 48e03181074..7c56ac8eb8c 100644
--- a/features/org.eclipse.papyrus.diagram.clazz-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.clazz-feature/feature.xml
@@ -28,44 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.papyrus.ui.toolbox"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.preferences"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- <import plugin="org.eclipse.ocl.uml" version="3.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers" version="1.3.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.emf.validation"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.ui"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.clazz"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.communication-feature/feature.xml b/features/org.eclipse.papyrus.diagram.communication-feature/feature.xml
index d9ef841eca4..c1577030f43 100644
--- a/features/org.eclipse.papyrus.diagram.communication-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.communication-feature/feature.xml
@@ -28,47 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.papyrus.ui.toolbox"/>
- <import plugin="org.eclipse.papyrus.parsers"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.preferences"/>
- <import plugin="org.eclipse.papyrus.editor" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.uml2.uml.resources" version="3.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.emf.validation"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.draw2d"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.communication"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.composite-feature/feature.xml b/features/org.eclipse.papyrus.diagram.composite-feature/feature.xml
index dfa53540a5e..a8150d29184 100644
--- a/features/org.eclipse.papyrus.diagram.composite-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.composite-feature/feature.xml
@@ -10,13 +10,13 @@
</description>
<copyright url="http://www.eclipse.org/legal/epl-v10.html">
- Copyright (c) 2008-2009 CEA LIST, Atos Origin, Conselleria de
-Infraestructuras y Transporte, Generalitat de la Comunitat Valenciana
-and others
-All rights reserved. This program and the accompanying materials
-are made available under the terms of the Eclipse Public License
-v1.0
-which accompanies this distribution, and is available at
+ Copyright (c) 2008-2009 CEA LIST, Atos Origin, Conselleria de
+Infraestructuras y Transporte, Generalitat de la Comunitat Valenciana
+and others
+All rights reserved. This program and the accompanying materials
+are made available under the terms of the Eclipse Public License
+v1.0
+which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
</copyright>
@@ -28,42 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.papyrus.core" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.draw2d"/>
- <import plugin="org.eclipse.papyrus.preferences"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.composite"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.internalblock-feature/feature.xml b/features/org.eclipse.papyrus.diagram.internalblock-feature/feature.xml
index f6e6be12e3a..8064a49e787 100644
--- a/features/org.eclipse.papyrus.diagram.internalblock-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.internalblock-feature/feature.xml
@@ -28,19 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.composite" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.papyrus.sysml" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.common.ui" version="2.5.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers" version="1.3.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.preferences" version="0.7.0" match="greaterOrEqual"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.sysml.diagram.internalblock"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.menu-feature/feature.xml b/features/org.eclipse.papyrus.diagram.menu-feature/feature.xml
index bc06bd40c85..0c27455b1fd 100644
--- a/features/org.eclipse.papyrus.diagram.menu-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.menu-feature/feature.xml
@@ -28,21 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.papyrus.preferences" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.actions"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui.render" version="1.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers" version="1.1.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.wizards"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.1" match="greaterOrEqual"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.menu"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.parametric-feature/feature.xml b/features/org.eclipse.papyrus.diagram.parametric-feature/feature.xml
index 7e100d10ddb..81794b01f5f 100644
--- a/features/org.eclipse.papyrus.diagram.parametric-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.parametric-feature/feature.xml
@@ -28,50 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.draw2d"/>
- <import plugin="org.eclipse.papyrus.sysml"/>
- <import plugin="org.eclipse.papyrus.sysml.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.papyrus.resource"/>
- <import plugin="org.eclipse.papyrus.resource.edit"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.papyrus.preferences"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- <import plugin="org.eclipse.papyrus.diagram.common"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf"/>
- <import plugin="org.eclipse.papyrus.uml.standard"/>
- <import plugin="org.eclipse.papyrus.uml.standard.edit"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.papyrus.parsers"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.emf.validation"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.sysml.diagram.parametric"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.profile-feature/feature.xml b/features/org.eclipse.papyrus.diagram.profile-feature/feature.xml
index 0409384191e..16e7789bbc6 100644
--- a/features/org.eclipse.papyrus.diagram.profile-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.profile-feature/feature.xml
@@ -22,45 +22,6 @@ http://www.eclipse.org/legal/epl-v10.html
%license
</license>
- <requires>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.papyrus.preferences"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.draw2d"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.papyrus.profile" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.ui.toolbox" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.papyrus.editor"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.profile"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.sequence-feature/feature.xml b/features/org.eclipse.papyrus.diagram.sequence-feature/feature.xml
index ad3d542380d..bdc65ac7713 100644
--- a/features/org.eclipse.papyrus.diagram.sequence-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.sequence-feature/feature.xml
@@ -28,42 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.papyrus.preferences"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.junit4"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.draw2d"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.gef"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.sequence"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.statemachine-feature/feature.xml b/features/org.eclipse.papyrus.diagram.statemachine-feature/feature.xml
index 2b93229f883..ef5e24f6079 100644
--- a/features/org.eclipse.papyrus.diagram.statemachine-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.statemachine-feature/feature.xml
@@ -22,41 +22,6 @@ http://www.eclipse.org/legal/epl-v10.html
%license
</license>
- <requires>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.preferences"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.emf.validation"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.papyrus.ui.toolbox" version="0.7.0" match="greaterOrEqual"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.statemachine"
download-size="0"
diff --git a/features/org.eclipse.papyrus.diagram.usecase-feature/feature.xml b/features/org.eclipse.papyrus.diagram.usecase-feature/feature.xml
index 200d9554db2..7e2e6043d81 100644
--- a/features/org.eclipse.papyrus.diagram.usecase-feature/feature.xml
+++ b/features/org.eclipse.papyrus.diagram.usecase-feature/feature.xml
@@ -10,13 +10,13 @@
</description>
<copyright url="http://www.eclipse.org/legal/epl-v10.html">
- Copyright (c) 2008-2009 CEA LIST, Atos Origin, Conselleria de
-Infraestructuras y Transporte, Generalitat de la Comunitat Valenciana
-and others
-All rights reserved. This program and the accompanying materials
-are made available under the terms of the Eclipse Public License
-v1.0
-which accompanies this distribution, and is available at
+ Copyright (c) 2008-2009 CEA LIST, Atos Origin, Conselleria de
+Infraestructuras y Transporte, Generalitat de la Comunitat Valenciana
+and others
+All rights reserved. This program and the accompanying materials
+are made available under the terms of the Eclipse Public License
+v1.0
+which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
</copyright>
@@ -28,42 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.ui.views"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.ui.navigator.resources"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import plugin="org.eclipse.gmf.runtime.emf.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.commands.core"/>
- <import plugin="org.eclipse.gmf.runtime.emf.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers.ide"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.uml2.uml.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.ocl.ecore"/>
- <import plugin="org.eclipse.draw2d"/>
- <import plugin="org.eclipse.gmf.runtime.draw2d.ui"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.preferences" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.ui.toolbox" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.usecase"
download-size="0"
diff --git a/features/org.eclipse.papyrus.layouttool-feature/feature.xml b/features/org.eclipse.papyrus.layouttool-feature/feature.xml
index 4aced8bb30b..799981f2b07 100644
--- a/features/org.eclipse.papyrus.layouttool-feature/feature.xml
+++ b/features/org.eclipse.papyrus.layouttool-feature/feature.xml
@@ -28,16 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.gef"/>
- <import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.actions"/>
- <import plugin="org.eclipse.zest.layouts"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.layouttool"
download-size="0"
diff --git a/features/org.eclipse.papyrus.profiletool-feature/feature.xml b/features/org.eclipse.papyrus.profiletool-feature/feature.xml
index ed11c5abfc3..5790bcbaa39 100644
--- a/features/org.eclipse.papyrus.profiletool-feature/feature.xml
+++ b/features/org.eclipse.papyrus.profiletool-feature/feature.xml
@@ -28,18 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.ui.navigator"/>
- <import plugin="org.eclipse.jface"/>
- <import plugin="org.eclipse.emf.edit"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.emf.codegen.ecore"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.resource"
download-size="0"
diff --git a/features/org.eclipse.papyrus.sysml-feature/feature.xml b/features/org.eclipse.papyrus.sysml-feature/feature.xml
index d2a7a19ec5a..357730cfb11 100644
--- a/features/org.eclipse.papyrus.sysml-feature/feature.xml
+++ b/features/org.eclipse.papyrus.sysml-feature/feature.xml
@@ -28,13 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.papyrus.uml.standard" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.uml2" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.uml.standard.edit"/>
- <import plugin="org.eclipse.core.runtime" version="3.6.0" match="greaterOrEqual"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.sysml"
download-size="0"
diff --git a/features/org.eclipse.papyrus.uml-feature/feature.xml b/features/org.eclipse.papyrus.uml-feature/feature.xml
index 4153a40a0d9..c34b8ebf582 100644
--- a/features/org.eclipse.papyrus.uml-feature/feature.xml
+++ b/features/org.eclipse.papyrus.uml-feature/feature.xml
@@ -29,57 +29,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="EEF Update Site" url="http://download.eclipse.org/modeling/emft/eef/updates/0.7.1/"/>
</url>
- <requires>
- <import plugin="org.eclipse.papyrus.core" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers" version="1.1.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.editors" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.umlutils" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.wizards" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.ui.views.properties.tabbed"/>
- <import plugin="org.eclipse.emf.mapping.ecore2xml"/>
- <import plugin="org.eclipse.ui.navigator" version="3.3.101" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.ecore.editor" version="2.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.uml2.uml.editor" version="2.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.sasheditor.di" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.uml2.uml.edit" version="3.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.jface.text"/>
- <import plugin="org.eclipse.ui.editors"/>
- <import plugin="org.antlr.runtime" version="3.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.extensionpoints.uml2" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.properties" version="1.1.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.sasheditor" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.ide" version="3.4.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui" version="1.1.0" match="greaterOrEqual"/>
- <import plugin="org.junit"/>
- <import plugin="org.eclipse.uml2.uml" version="2.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.jface" version="3.4.1" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.transaction" version="1.2.1" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.emf.ecore.edit"/>
- <import plugin="org.eclipse.papyrus.log" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.ui.toolbox" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.databinding" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.editor" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.render" version="1.3.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ltk.core.refactoring" version="3.5.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.converter" version="2.5.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.pde" version="3.4.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.pde.api.tools" version="1.0.101" match="greaterOrEqual"/>
- <import plugin="org.eclipse.pde.api.tools.ui" version="1.0.101" match="greaterOrEqual"/>
- <import plugin="org.eclipse.pde.ui" version="3.5.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import plugin="org.eclipse.emf"/>
- <import plugin="org.eclipse.papyrus.resource" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.emf.edit"/>
- <import plugin="org.eclipse.papyrus.resource.edit" version="0.7.0" match="greaterOrEqual"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.diagram.common"
download-size="0"
diff --git a/features/org.eclipse.papyrus.uml.diagram.pkg-feature/feature.xml b/features/org.eclipse.papyrus.uml.diagram.pkg-feature/feature.xml
index 7e60038fcb4..e06eecc8a7a 100644
--- a/features/org.eclipse.papyrus.uml.diagram.pkg-feature/feature.xml
+++ b/features/org.eclipse.papyrus.uml.diagram.pkg-feature/feature.xml
@@ -28,17 +28,6 @@ http://www.eclipse.org/legal/epl-v10.html
<discovery label="%PapyrusUpdateSiteName" url="http://www.eclipse.org/modeling/mdt/?project=papyrus#papyrus"/>
</url>
- <requires>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.papyrus.diagram.common" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.core.adaptor.gmf" version="0.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.providers" version="1.3.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.gmf.runtime.diagram.ui.resources.editor" version="1.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.papyrus.diagram.clazz"/>
- <import plugin="org.eclipse.papyrus.preferences" version="0.7.0" match="greaterOrEqual"/>
- </requires>
-
<plugin
id="org.eclipse.papyrus.uml.diagram.pkg"
download-size="0"

Back to the top